Debian Bug report logs - #698397
LIVE_BUID : a possible typo in live-build version 3.0~b5-1

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: jhcha54008 <jhcha54008@free.fr>

Date: Thu, 17 Jan 2013 23:24:02 UTC

Severity: normal

Tags: patch

Found in version live-build/3.0~b5-1

Fixed in versions live-build/3.0~b6-1, live-build/4.0~a8-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Live Project <debian-live@lists.debian.org>:
Bug#698397; Package live-build. (Thu, 17 Jan 2013 23:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to jhcha54008 <jhcha54008@free.fr>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 17 Jan 2013 23:24:04 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: jhcha54008 <jhcha54008@free.fr>
To: maintonly@bugs.debian.org
Cc: jhcha54008@free.fr
Subject: LIVE_BUID : a possible typo in live-build version 3.0~b5-1
Date: Fri, 18 Jan 2013 00:30:13 +0000
Package: live-build
Version: 3.0~b5-1
Tags: patch

Dear Maintainer,

I wonder whether the following patch could correct a typo in the
unstable version of live-build. May it be of any help for you
(sorry, I am a novice bug reporter) ?

Regards,
JH Chatenet

diff -Naur a/usr/share/live/build/functions/defaults.sh b/usr/share/live/build/functions/defaults.sh
--- a/usr/share/live/build/functions/defaults.sh	2013-01-02 10:48:06.000000000 +0000
+++ b/usr/share/live/build/functions/defaults.sh	2013-01-18 00:01:36.850235948 +0000
@@ -303,7 +303,7 @@
 	esac
 
 	# Setting templates
-	if [ -n "${LIVE_BUID}" ]
+	if [ -n "${LIVE_BUILD}" ]
 	then
 		LB_TEMPLATES="${LB_TEMPLATES:-${LIVE_BUILD}/templates}"
 	else



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#698397; Package live-build. (Fri, 18 Jan 2013 03:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Nelson <unixabg@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 18 Jan 2013 03:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 698397@bugs.debian.org (full text, mbox):

From: Richard Nelson <unixabg@gmail.com>
To: jhcha54008 <jhcha54008@free.fr>
Cc: 698397@bugs.debian.org
Subject: Re: Bug#698397: LIVE_BUID : a possible typo in live-build version 3.0~b5-1
Date: Thu, 17 Jan 2013 21:41:36 -0600
[Message part 1 (text/plain, inline)]
tag 698397 pending
thanks

applied in git, thanks.

On Thu, Jan 17, 2013 at 6:30 PM, jhcha54008 <jhcha54008@free.fr> wrote:

> Package: live-build
> Version: 3.0~b5-1
> Tags: patch
>
> Dear Maintainer,
>
> I wonder whether the following patch could correct a typo in the
> unstable version of live-build. May it be of any help for you
> (sorry, I am a novice bug reporter) ?
>
> Regards,
> JH Chatenet
>
> diff -Naur a/usr/share/live/build/functions/defaults.sh
> b/usr/share/live/build/functions/defaults.sh
> --- a/usr/share/live/build/functions/defaults.sh        2013-01-02
> 10:48:06.000000000 +0000
> +++ b/usr/share/live/build/functions/defaults.sh        2013-01-18
> 00:01:36.850235948 +0000
> @@ -303,7 +303,7 @@
>         esac
>
>         # Setting templates
> -       if [ -n "${LIVE_BUID}" ]
> +       if [ -n "${LIVE_BUILD}" ]
>         then
>                 LB_TEMPLATES="${LB_TEMPLATES:-${LIVE_BUILD}/templates}"
>         else
>
>
> --
> To UNSUBSCRIBE, email to debian-live-request@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact
> listmaster@lists.debian.org
> Archive: http://lists.debian.org/20130118003013.GD11407@localhost
>
>
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from Richard Nelson <unixabg@gmail.com> to control@bugs.debian.org. (Fri, 18 Jan 2013 03:45:05 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 20 Jan 2013 09:36:07 GMT) Full text and rfc822 format available.

Notification sent to jhcha54008 <jhcha54008@free.fr>:
Bug acknowledged by developer. (Sun, 20 Jan 2013 09:36:08 GMT) Full text and rfc822 format available.

Message #17 received at 698397-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 698397-close@bugs.debian.org
Subject: Bug#698397: fixed in live-build 3.0~b6-1
Date: Sun, 20 Jan 2013 09:32:35 +0000
Source: live-build
Source-Version: 3.0~b6-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698397@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 20 Jan 2013 10:17:42 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~b6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Live System Build Scripts
 live-build-cgi - Live System Build Scripts (CGI frontend)
Closes: 698260 698397 698423
Changes: 
 live-build (3.0~b6-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Updating manpage year handling for 2013.
   * Updating wheezy beta-release number.
   * Using cat instead of echo to workaround incompatible and conflicting
     uses in escaping of \t in dash and bash, and less importantly to
     workaround a false-positive in checkbashisms.
   * Updating footer link to 'legal information' in cgi html template.
   * Cleaning up binary_loadlin.
   * Updating for twitter-bootstrap usage on live.debia.net in the cgi html
     templates.
   * Updating footer in cgi html template.
   * Correcting spelling typo in html footer of the cgi, thanks to Jean-
     Christophe Saint-Marc <jchristophe.stmarc@free.fr>.
   * Removing reference to removed --package-lists option in lb_config
     manpage (Closes: #698260).
 .
   [ Richard Nelson ]
   * Correcting typo on functions/default.sh, thanks to jhcha54008
     <jhcha54008@free.fr> (Closes: #698397).
 .
   [ Daniel Baumann ]
   * Updating samhain workaround in chroot_dpkg to work if live-build is
     being used with sudo or fakeroot (Closes: #698423).
   * Correcting apt-key cleanup of local dummy signing keys when using
     local packages, thanks to jhcha54008 <jhcha54008@free.fr>.
   * Falling back to use genisoimage when building squeeze iso-hybrid
     images.
   * Applying slightly modified patch from Raphaël Hertzog
     <hertzog@debian.org> to fix automatic firmware inclusion when using
     debian-installer with live-installer and having firmware packages
     installed in the live system already.
Checksums-Sha1: 
 f4bc25e7207fe309f7088879897a00658cdc2346 1322 live-build_3.0~b6-1.dsc
 ecf6cbf1e0cdd23d05a262d4ee0f73e2fc00dc1e 163288 live-build_3.0~b6.orig.tar.xz
 09b4dac03220a0c38fc31f26d6e7f58301365ebb 51208 live-build_3.0~b6-1.debian.tar.xz
 d17466e85a3b3eddfeec740bded1978ee67aaf46 198470 live-build_3.0~b6-1_all.deb
 6be899c3df633b6eed95eeeb6fa1fb588d06a151 75802 live-build-cgi_3.0~b6-1_all.deb
Checksums-Sha256: 
 b40404ab06d6b912b6386aa38301a8df362554dd62b9fe8fdc8c5ac6443b8096 1322 live-build_3.0~b6-1.dsc
 e975aaeeb40d2928d666139dc4c6ab8196684a65220d0fddb1e2f2c2eb32fc84 163288 live-build_3.0~b6.orig.tar.xz
 2ed967e962b65492229a0a930b987d6b2df6e42933dee7b44d6f6ed3f453763d 51208 live-build_3.0~b6-1.debian.tar.xz
 9c5b03a4fdf5cb7d33b0a61595ad08149d48b9862a82ad56b544c427404067ea 198470 live-build_3.0~b6-1_all.deb
 fcaa61bef4e7309548cab2916b112164a8ecf1c6b1c338db0625da2b5a054a8a 75802 live-build-cgi_3.0~b6-1_all.deb
Files: 
 510a4252c709c3c198e96345f5a97d18 1322 misc optional live-build_3.0~b6-1.dsc
 b014b8582d51152f1ca41b19009756fe 163288 misc optional live-build_3.0~b6.orig.tar.xz
 2ec25368366e5da1602a764d302a477d 51208 misc optional live-build_3.0~b6-1.debian.tar.xz
 9501477aefa0890003db2d4bc5476094 198470 misc optional live-build_3.0~b6-1_all.deb
 bedb1b250b39abbaaf8b3b1432e975f7 75802 misc optional live-build-cgi_3.0~b6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlD7twwACgkQ+C5cwEsrK54jzwCggnbYkQ653Ega0fLGAVqvAj1I
FT8AoJExRsc3zg5MsjwsCyiNUNlc2UBu
=rz8+
-----END PGP SIGNATURE-----




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 20 Jan 2013 11:03:08 GMT) Full text and rfc822 format available.

Notification sent to jhcha54008 <jhcha54008@free.fr>:
Bug acknowledged by developer. (Sun, 20 Jan 2013 11:03:08 GMT) Full text and rfc822 format available.

Message #22 received at 698397-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 698397-close@bugs.debian.org
Subject: Bug#698397: fixed in live-build 4.0~a8-1
Date: Sun, 20 Jan 2013 11:02:30 +0000
Source: live-build
Source-Version: 4.0~a8-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698397@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 20 Jan 2013 11:28:27 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 4.0~a8-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Live System Build Scripts
 live-build-cgi - Live System Build Scripts (CGI frontend)
Closes: 698260 698397 698423
Changes: 
 live-build (4.0~a8-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Updating manpage year handling for 2013.
   * Using cat instead of echo to workaround incompatible and conflicting
     uses in escaping of \t in dash and bash, and less importantly to
     workaround a false-positive in checkbashisms.
   * Updating footer link to 'legal information' in cgi html template.
   * Cleaning up binary_loadlin.
   * Updating for twitter-bootstrap usage on live.debia.net in the cgi html
     templates.
   * Updating footer in cgi html template.
   * Correcting spelling typo in html footer of the cgi, thanks to Jean-
     Christophe Saint-Marc <jchristophe.stmarc@free.fr>.
   * Removing reference to removed --package-lists option in lb_config
     manpage (Closes: #698260).
 .
   [ Richard Nelson ]
   * Correcting typo on functions/default.sh, thanks to jhcha54008
     <jhcha54008@free.fr> (Closes: #698397).
 .
   [ Daniel Baumann ]
   * Updating samhain workaround in chroot_dpkg to work if live-build is
     being used with sudo or fakeroot (Closes: #698423).
   * Correcting apt-key cleanup of local dummy signing keys when using
     local packages, thanks to jhcha54008 <jhcha54008@free.fr>.
   * Making xorriso option handling a bit more readable.
   * Applying slightly modified patch from Raphaël Hertzog
     <hertzog@debian.org> to fix automatic firmware inclusion when using
     debian-installer with live-installer and having firmware packages
     installed in the live system already.
   * Adding config/control in example gitignore file.
   * Adding 3.0~b6-1 changelog entries.
   * Correcting variable default assignment for new configuration tree
     layout.
   * Avoiding to unconditionally adding whitespace seperator to
     config/control for existing configs.
Checksums-Sha1: 
 364fd95c0e25e2ad56b82111288e261d87a5cc86 1322 live-build_4.0~a8-1.dsc
 049e16c07961c80128b2f880f62e92777e1efab9 163396 live-build_4.0~a8.orig.tar.xz
 556063b6d595ff89451e86b0e84ce01d4e39e713 51792 live-build_4.0~a8-1.debian.tar.xz
 24dd6534d3a7e3b29168b1668220049a4643a4e9 199238 live-build_4.0~a8-1_all.deb
 f16f113fcb514f119d37c5c825d98fa4eaa9cf85 76504 live-build-cgi_4.0~a8-1_all.deb
Checksums-Sha256: 
 5a8b0629dc391430e9fb2bae4a1502cc8021ca3eb48f6355b9aa8f22a156447a 1322 live-build_4.0~a8-1.dsc
 35a58f2b2d6fa7c25a4a6b572b977e6356f6a78390d34f6d4b9a12166ae931df 163396 live-build_4.0~a8.orig.tar.xz
 dbb1de6d16ea941276c37bf74dd3176e4bc92860fb7567e25066146d52288350 51792 live-build_4.0~a8-1.debian.tar.xz
 d34c07af2e674205bce79b991c5fb26727a2d9af35cbd58caaebb7e90c43d493 199238 live-build_4.0~a8-1_all.deb
 4192f986d7ff1226f9a7a4302361a72e9b7e3534959256f4c369f3c3555e38d5 76504 live-build-cgi_4.0~a8-1_all.deb
Files: 
 4fdd76a4cfbafb03707bcd6d55829877 1322 misc optional live-build_4.0~a8-1.dsc
 4ac35cabcfc0173b31835d7c666d60b3 163396 misc optional live-build_4.0~a8.orig.tar.xz
 e328b3079cc16ffafe0e7fe78ec8a19a 51792 misc optional live-build_4.0~a8-1.debian.tar.xz
 a4fd001b4a2a14628bf0050d2e154c35 199238 misc optional live-build_4.0~a8-1_all.deb
 8ce96493bf08059a59e6bf5d5717d895 76504 misc optional live-build-cgi_4.0~a8-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlD7zgMACgkQ+C5cwEsrK55+zgCgpdSz3bhW2MGcJdejM/BGxmCM
St0AoLAq2d8zu6TuA2dB6/Ir6useL8Ik
=PjBL
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Feb 2013 07:27:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:28:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.